/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sat Apr 14 18:28:06 CEST 2001
    copyright            : (C) 2001 by mb
    email                : marcus@beranek.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "sqlgui.h"

static const char *description =
	I18N_NOOP("SqlGui");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
  
  KAboutData aboutData( "sqlgui", I18N_NOOP("SqlGui"),VERSION, description, KAboutData::License_GPL,"(c) 2001, mb", 0, 0, "marcus@beranek.de");
  aboutData.addAuthor("mb",0, "marcus@beranek.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.


  KApplication app;
  if (app.isRestored())
    {
      RESTORE(SqlGuiApp);
    }
  else 
    {


      SqlGuiApp *sqlgui = new SqlGuiApp();
      sqlgui->show();
      
      KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
      
      if (args->count())
	{
	  sqlgui->openDocumentFile(args->arg(0));
	}
      else
	{
//	  sqlgui->openDocumentFile();
	}
      args->clear();
    }
  
  return app.exec();
}  
